Skip to content

Get picking batch

GET
/merchants/{merchantCode}/pickingBatches/{pickingBatchId}
curl --request GET \
--url 'https://order.shopgate.io/v1/merchants/example/pickingBatches/example?getOriginalImageUrls=false'

Get picking batch

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

pickingBatchId
required
string
getOriginalImageUrls
boolean

Request original image URLs for LineItem product images.

Return picking batch

Media typeapplication/json
object
pickingBatch
object
lineItems
Array<object>
object
id
string
pickedQuantity
number format: float
quantity
number format: float
status
string
Allowed values: open inProgress picked
sku
string
inventories
Array<object>
object
bin
string
binLocation
string
fulfillmentOrderLineItems
Array<object>
object
orderNumber
string
lineItemId
number
quantity
number format: float
product
object
code
required

Product code

string
>= 1 characters
name
required

Product name

string
image

Main image url of the product

string | null format: uri
price
required

Main price of the product

number format: float
salePrice

Sale price of the product

number | null format: float
currencyCode
required
string
>= 3 characters <= 3 characters
identifiers
object
mfgPartNum
null | string
<= 255 characters
upc
null | string
<= 255 characters
ean
null | string
<= 255 characters
isbn
null | string
<= 255 characters
sku
null | string
<= 255 characters
distiPartNum
null | string
<= 255 characters
options
Array<object>
object
code
required
string
name
required
string
value
required
object
code
required
string
name
required
string
id
string
status
string
Allowed values: open inProgress picked packing packed canceled
startedDate
string
locationCode
string
pickedDate
string
completedDate
string
fulfillmentOrders
Array<object>
object
orderNumber
string
Example
{
"pickingBatch": {
"id": "a4a93e83-5781-40da-8bff-b87af0452afe",
"status": "open",
"startedDate": "2021-09-20T08:13:54.866Z",
"locationCode": "warehouse",
"pickedDate": "2021-09-20T09:00:11.866Z",
"completedDate": "2021-09-20T10:32:42.866Z",
"fulfillmentOrders": [
{
"orderNumber": "10001-0001"
}
],
"lineItems": [
{
"id": "c8dcf22f-0d0b-49b4-9ed5-0e194f32e1b6",
"pickedQuantity": 3,
"quantity": 5,
"status": "open",
"sku": "UGG-BB-PUR-06",
"inventories": [
{
"bin": 1203,
"binLocation": "1203-4"
}
],
"fulfillmentOrderLineItems": [
{
"orderNumber": "10001-0001",
"lineItemId": 253,
"quantity": 2
}
],
"product": {
"code": "24-MB02",
"name": "Fusion Backpack",
"image": "https://myawesomeshop.com/images/img1.jpg",
"price": 79.99,
"salePrice": 65.99,
"currencyCode": "EUR",
"identifiers": {
"mfgPartNum": "100-440-0.750-3434-A",
"upc": "72527273070",
"ean": "401234567890",
"isbn": "978-3-16-148410-0",
"sku": "UGG-BB-PUR-06",
"distiPartNum": "235454356363",
"options": [
{
"code": "color",
"name": "Color"
}
]
}
}
}
]
}
}

Merchant or Picking Batch not found

Media typeapplication/json